import 'package:flutter/material.dart';
import './dialog_management.dart';

class DialogManageProvider extends InheritedWidget {

  DialogManageProvider({
    Key key,
    Widget child
  }): super(key: key, child: child);

  DialogManage dialogManage = DialogManage();

  @override
  bool updateShouldNotify(InheritedWidget oldWidget) {
    return false;
  }

  static DialogManage of (BuildContext context) {
    return (context.inheritFromWidgetOfExactType(DialogManageProvider) as DialogManageProvider).dialogManage;
  }
}